abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 01:22 | Nová verze

Po 13 měsících vývoje od vydání verze 1.20 byla vydána nová verze 1.22 grafického prostředí MATE (Wikipedie). Přehled nových vlastností a vylepšení v poznámkách k vydání. Zdůraznit lze podporu Waylandu.

Ladislav Hagara | Komentářů: 1
včera 19:55 | Komunita

Neziskové technologické konsorcium Linux Foundation minulý týden rozšířilo seznam svých projektů. Novinkou je CHIPS Alliance a Continuous Delivery Foundation (CDF). Spojením Node.js Foundation a JS Foundation vznikla OpenJS Foundation. Představena byla také platforma CommunityBridge nebo Red Team Project.

Ladislav Hagara | Komentářů: 0
včera 18:11 | IT novinky

Neziskové průmyslové konsorcium Khronos Group vydalo verzi 0.90 specifikace OpenXR (Wikipedie), tj. standardu specifikujícího přístup k platformám a zařízením pro XR, tj. platformám a zařízením pro AR (rozšířenou realitu) a VR (virtuální realitu). Společnost Collabora současně představila open source implementaci OpenXR s názvem Monado. Videoukázka na YouTube.

Ladislav Hagara | Komentářů: 0
včera 13:55 | Nová verze

Byla vydána verze 3.32 poštovního klienta Geary (Wikipedie). Změněno bylo číslování verzí. Předchozí verze byla 0.13. Nově bude číslování verzí stejné jako u GNOME.

Ladislav Hagara | Komentářů: 5
včera 01:33 | Nová verze

Byla vydána nová major verze 4 průběžně aktualizované (rolling release) linuxové distribuce Solus (Wikipedie). Přehled novinek i s náhledy v příspěvku na blogu. Solus 4 je ke stažení v edicích Budgie, GNOME a MATE. Solus používá správce balíčku eopkg. Dotazy a odpovědi v novém diskusním fóru.

Ladislav Hagara | Komentářů: 0
17.3. 22:11 | Zajímavý software

Brian Linkletter se na svém blogu věnuje open source síťovým simulátorům. V nejnovějším příspěvku představuje open source síťový emulátor vrnetlab (VR Network Lab). Ten k běhu jednotlivých routerů používá Docker.

Ladislav Hagara | Komentářů: 0
17.3. 02:22 | Humor

Společnost SUSE natočila a na YouTube zveřejnila nový videoklip: Walk Like A Chameleon - SUSE Music Parody.

Ladislav Hagara | Komentářů: 19
17.3. 00:11 | Nová verze

Byla vydána verze 0.71 populárního telnet a ssh klienta PuTTY. Podrobnosti v přehledu změn. Řešeno je také několik bezpečnostních chyb. Nalezení většiny z nich bylo sponzorováno Evropskou komisí.

Ladislav Hagara | Komentářů: 0
15.3. 22:44 | Nová verze

V rámci projektu OpenRA je vyvíjen svobodný engine pro starší strategické hry Command & Conquer (nyní jsou freeware) a Dune 2000. Vydání 20190314 pokrývá změny za posledního půl roku: vylepšené chování jednotek, přepis kódu pro AI a celkem 9 nových misí pro jednoho hráče.

Fluttershy, yay! | Komentářů: 2
15.3. 21:33 | Nová verze

Po půl roce vývoje od vydání verze 1.14.0 byla vydána nová verze 1.16.0 sady nástrojů pro správu síťových připojení NetworkManager. Novinkám se na svých blozích věnují Ľubomír Rintel a Thomas Haller. Zdůrazněna je podpora WireGuardu.

Ladislav Hagara | Komentářů: 0
Kolik balíčků (v tisících) máte nainstalovaných na svém systému?
 (4%)
 (12%)
 (34%)
 (30%)
 (19%)
 (3%)
 (2%)
 (1%)
 (3%)
Celkem 204 hlasů
 Komentářů: 16, poslední 14.3. 20:04
Rozcestník

Dotaz: staré scripty na php7

22.2.2018 08:53 JoK1955 | skóre: 3
staré scripty na php7
Přečteno: 488×
Zdravím všechny. Po dlouhé době jsem nainstaloval LAMP, abych upravil a využil nějaké scripty z minulosti. Zjistil jsem, že to nejde a že bych musel přepsat spojení s dtb. Nejsem vyučený programátor a tak v těch scriptech mám trochu chaos a nechce se mi do toho (jde o jednorázovou záležitost). Ty scripty stále běží v poho na webu . Zjistil jsem, že na webu je php 5.6.29-0+deb8u1 kdežto já si na lokále nainstaloval 7.0.25-0ubuntu0.16.04.1 (default instalace LAMP v U 16.04 bez úprav). Vidím dvě cesty. Naistalovat si také php 5 nebo zjistit zda "nějakým" nastavením nelze dosáhnout podpory starých scriptů (hlavně funkce mysql. Poradí mi někdo, pls? Díky.

Řešení dotazu:


Odpovědi

22.2.2018 09:01 NN
Rozbalit Rozbalit vše Re: staré scripty na php7
Odpovedel jsi si sam, pokud to nechces prepisovat nainstaluj si paralelne starsi PHP.
Řešení 2× (JoK1955 (tazatel), DaBler)
22.2.2018 09:03 Aleš Kapica | skóre: 48 | blog: kenyho_stesky | Ostrava
Rozbalit Rozbalit vše Re: staré scripty na php7
Pokud to má běžet tam kde to je, a verze PHP se tam měnit nebude, tak je asi lepší nainstalovat starší verzi PHP5. JInake nezbyde než najít někoho, kdo to za nějakou úplatu zreviduje a přepíše na novější verzi.
22.2.2018 09:15 JoK1955 | skóre: 3
Rozbalit Rozbalit vše Re: staré scripty na php7
jj Díky.
27.2.2018 23:45 Odin
Rozbalit Rozbalit vše Re: staré scripty na php7
Neni to lepsi kapico. Bude to provozovat na starem a deravem php. Takove rady si strc za klobouk, kdyz tomu nerozumis.
28.2.2018 08:27 Aleš Kapica | skóre: 48 | blog: kenyho_stesky | Ostrava
Rozbalit Rozbalit vše Re: staré scripty na php7
Tak mu to přepiš troubo.
28.2.2018 22:33 Odin
Rozbalit Rozbalit vše Re: staré scripty na php7
Klidne. Ty si radeji nech sve rady troubo. Nerozumis tomu a siris tady bludy. Radeji bud zticha a neprojevuj se kapico. Doporucovst provoz na deravem a nepodporovanem php je nekompetentnost nejhrubsiho kalibru.
1.3.2018 07:37 Aleš Kapica | skóre: 48 | blog: kenyho_stesky | Ostrava
Rozbalit Rozbalit vše Re: staré scripty na php7
Zato ty jsi nejspíš sežral Šalamounovo hovno. Naštěstí tě utřel už někdo jiný.
28.2.2018 23:50 Odin je trotl
Rozbalit Rozbalit vše Re: staré scripty na php7
Zdá se, že Odin moc neví, o čem mluví.

Větev PHP 5.6 má ještě delší podporu zabezpečení (Security Support) než PHP 7.0:

http://php.net/supported-versions.php
5.3.2018 13:23 kolemjdouci
Rozbalit Rozbalit vše Re: staré scripty na php7
To není pravda! Přepsáním do PHP v7 ti pojede vše i na PHP v7.xxx. PHP 5.6 je poslední neboli finální sestavení a dál nic!
5.3.2018 15:00 Kit | skóre: 43 | Brno
Rozbalit Rozbalit vše Re: staré scripty na php7
V PHP 5.6 následují ještě bezpečnostní záplaty až do konce tohoto roku.

Přepsání větší aplikace z PHP 5.x na 7.x obvykle nebývá tak jednoduché, jak to na první pohled vypadá. Zejména když někdo 4 roky ignoruje varování, že zastaralý ovladač MySQL v dalších verzích nebude fungovat.
Komentáře označují místa, kde programátor udělal chybu nebo něco nedodělal.
26.2.2018 21:26 Odin
Rozbalit Rozbalit vše Re: staré scripty na php7
Funkce z mysql extension snadno prepises na mysqli ci na pdo. Neni to tezke.
5.3.2018 15:04 Kit | skóre: 43 | Brno
Rozbalit Rozbalit vše Re: staré scripty na php7
U některých aplikací to přepsání trvá i týdny až měsíce, což se nemusí vždy vyplatit.
Komentáře označují místa, kde programátor udělal chybu nebo něco nedodělal.
27.2.2018 08:22 Milan Uhrák | skóre: 28 | blog: milan_at_ABC
Rozbalit Rozbalit vše Re: staré scripty na php7
Nebo si rovnou nainstaluj starší LAMP, na torrentu určo seženeš. Protože si nedovedu představit, jak přinutíš stroj se dvěmi verzemi PHP aby používal jen určitou z nich. To bude větší opruz než přepsat ty skripty na 7 a pak zase zprovozňovat na 5 nebo na ten běžící server pak dávat 7..

Třeba tady ubuntu 13 ... tam snad php5 bude nativně http://linuxtracker.org/index.php?page=torrent-details&id=daac7008e2e3a6e4321950c131690aca20c5a08a
27.2.2018 10:11 Kit | skóre: 43 | Brno
Rozbalit Rozbalit vše Re: staré scripty na php7
Můžeš použít Docker, do kterého si dáš přesně tu verzi PHP, kterou potřebuješ.
Komentáře označují místa, kde programátor udělal chybu nebo něco nedodělal.
28.2.2018 22:30 karlik
Rozbalit Rozbalit vše Re: staré scripty na php7
Nainstaluj si KVM + virtuál s CentOS a máš na 10 let vystaráno, včetně bezpečnostních aktualizací.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.